package net.northking.cctp.project.bus.feign;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

public class CpEnvProjectDto {
    private String id;
    /**
     * 系统名称<br>
     */
    @ApiModelProperty("系统名称")
    private String name;
    /**
     * 系统类型<br>
     */
    @ApiModelProperty("系统类型")
    @Size(max = 30, message="系统类型-projectType: 数据长度不能 > 20" )
    private String projectType;
    /**
     * 系统负责人<br>
     */
    @ApiModelProperty("系统负责人")
    private String username;

    private List<CpEnvProjectDto> child = new ArrayList<>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<CpEnvProjectDto> getChild() {
        return child;
    }

    public void setChild(List<CpEnvProjectDto> child) {
        this.child = child;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
}
